Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.config
Class Config

    java.lang.Object
      org.esupportail.portal.utils.channels.ConfigChannel
          org.esupportail.portal.channels.CIntranet.config.Config

All Implemented Interfaces:
  java.lang.Cloneable, org.esupportail.portal.utils.channels.IConfigActions, org.esupportail.portal.utils.channels.IConfigMail, org.esupportail.portal.utils.database.IConfigPools

    public class Config

extends org.esupportail.portal.utils.channels.ConfigChannel

Config
Classe permettant la lecture du fichier de configuration
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.5 $
Author:
  Mathieu Larchet

Method Summary
`void` | `addProperty(java.lang.String name, java.lang.String value)` Ajout d'un paramètre de configuration
`void` | `addRessource(Ressource res)` Ajout d'une ressource physique de stockage
`static Config` | `getInstance()` Retourne l'instance de la classe Config
`java.lang.String` | `getProperty(java.lang.String name)` Retourne la valeur d'un paramètre
`java.util.Map` | `getRessources()` Retourne la liste des ressources de stockage

Methods inherited from class org.esupportail.portal.utils.channels.ConfigChannel
`addAction, addActions, addDisplayError, addGroup, addMailError, addPool, clone, getActions, getConnexion, getConnexionDefault, getDisplayError, getFrom, getGroupmapping, getLog, getLogLevel, getMessage, getPools, getSmtp, getSubject, getTo, getXmlEncoding, setActions, setDisplayError, setGroupmapping, setLoader, setLog, setPools`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static Config getInstance()

  Retourne l'instance de la classe Config

  Returns:
    singleton L'instance unique

### addRessource

    public void addRessource(Ressource res)

  Ajout d'une ressource physique de stockage

  Parameters:
    `res` -

### getRessources

    public java.util.Map getRessources()

  Retourne la liste des ressources de stockage

  Returns:
    storageControlers La liste des ressources

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String value)

  Ajout d'un paramètre de configuration

  Parameters:
    `name` - Le nom du paramètre
    `value` - La valeur du paramètre

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Retourne la valeur d'un paramètre

  Parameters:
    `name` - Le nom du paramètre
  Returns:
    value La valeur du paramètre

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD